task bcftools {

	File pon_vcf1
	File pon_vcf2
	File pon_vcf3
	String docker
	String cluster_config
	String disk_size
	Boolean PONmode


	command <<<
		set -o pipefail
		set -e
		
		if [ ${PONmode} ]; then
			mkdir -p /cromwell_root/tmp/bcftools/
			

			bcftools view ${pon_vcf1} -Oz -o /cromwell_root/tmp/bcftools/${pon_vcf1}.gz

			bcftools view ${pon_vcf2} -Oz -o /cromwell_root/tmp/bcftools/${pon_vcf2}.gz

			bcftools view ${pon_vcf3} -Oz -o /cromwell_root/tmp/bcftools/${pon_vcf3}.gz

			bcftools merge -m any -f PASS,. --force-samples /cromwell_root/tmp/bcftools/*.vcf.gz |\ 
			bcftools plugin fill-AN-AC |\ 
			bcftools filter -i 'SUM(AC)>1' > panel_of_normal.vcf
		else
			touch panel_of_normal.vcf
		fi

	>>>

	runtime {
		docker: docker
		cluster: cluster_config
		systemDisk: "cloud_ssd 40"
		dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
	}
	
	output {
		File panel_of_normal_vcf = "panel_of_normal.vcf"
	}
}